ssh-import-id (5.11-0ubuntu4) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 12:02:52 +0100

ssh-import-id (5.11-0ubuntu3) plucky; urgency=medium

  * Ensure ssh-import-id (the binary package) depends on python3-launchpadlib
    (LP: #2085898).

 -- Olivier Gayot <olivier.gayot@canonical.com>  Wed, 30 Oct 2024 10:19:01 +0100

ssh-import-id (5.11-0ubuntu2) noble; urgency=medium

  * Add support for Launchpad teams (LP: #1745538).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 28 Feb 2024 10:19:22 -0600

ssh-import-id (5.11-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
    - Release 5.11 [Robie Basak]
    - Remove dependency on requests module [Shivaram Lingamneni]
    - Update tox to current versions of pycodestyle (2.5.0) and pylint
      (2.4.4). [Scott Moser]
    - Fix pylint warnings. [Scott Moser]
  * d/control: remove dependency on requests module [Robie Basak]

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 11 Feb 2021 15:34:06 +0000

ssh-import-id (5.10-1) unstable; urgency=medium

  * New upstream release (Closes: #953243).
  * debian/watch: Update for new release naming.
  * debian/postinst: Drop as no longer needed.
  * debian/control:
    - Update Vcs fields for Salsa move.
    - Bump Standards-Version to 4.5.0
    - Depend on python3-distro.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 08 Mar 2020 19:48:01 -0400

ssh-import-id (5.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.2.
   - Change priority from extra to optional.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 27 Dec 2017 19:31:16 -0500

ssh-import-id (5.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
   - Update Vcs fields for move to git.
   - Bump Standards-Version to 3.9.8, no changes.
   - Move myself to the maintainer field.
   - Drop python-pep8 from build deps.
   - Update deps for Python 3.
  * Build with pybuild and Python 3.
  * Bump debian/compat to 10.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 24 Dec 2016 16:58:57 -0500

ssh-import-id (3.21-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 27 Apr 2014 10:48:35 -0400

ssh-import-id (3.21-0ubuntu1) trusty; urgency=low

  * bin/ssh-import-id: LP: #1285295
    - re-authorizing existing keys should exit 0
    - update logging

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 30 Jan 2014 09:23:00 +0000

ssh-import-id (3.20-0ubuntu1) trusty; urgency=low

  * bin/ssh-import-id: LP: #1274426
    - ensure that we exit zero if any of the id's that we try to import
      affect 0 keys (ie, if we fail to do something we were asked to do)
    - however, we should continue to try to succeed, as much as possible,
      even if one of the earlier accounts failed

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 30 Jan 2014 09:22:45 +0000

ssh-import-id (3.19-1) unstable; urgency=low

  * debian/control:
    - drop the breaks/replaces ssh-import;  this package hasn't existed for
      eons; we should never realistically encounter it any more
    - add vcs-browser

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 16 Aug 2013 15:17:18 -0500

ssh-import-id (3.18-1) unstable; urgency=low

  * attic/ssh-import-id, attic/ssh-import-id.py, === removed directory
    attic:
    - fully deprecate the old versions of these scripts; no longer necessary
  * debian/control:
    - bump standards
    - merge some minor changes from Andrew Starr-Bochicchio
    - add Andrew Starr-Bochicchio <asb@debian.org> as an uploader
    - adjust formatting and indentation to match Andrew's
  * debian/copyright:
    - update debian copyright file format
  * debian/postinst:
    - add inline comments for Debian
  * debian/watch:
    - add a debian watch file

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 16 Aug 2013 15:17:16 -0500

ssh-import-id (3.17-1) unstable; urgency=low

  * Another no-change release for Ubuntu

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 29 Apr 2013 09:49:51 -0500

ssh-import-id (3.16-1) unstable; urgency=low

  * Empty release for upload to Ubuntu saucy
    - ssh-import-id 3.15 was released after raring closed, but before
      saucy opened

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 29 Apr 2013 09:40:34 -0500

ssh-import-id (3.15-1) unstable; urgency=low

  * bin/ssh-import-id: LP: #1172434
    - create the keyfile destination directory, if necessary

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 24 Apr 2013 21:41:01 -0500

ssh-import-id (3.14-1) unstable; urgency=low

  * bin/ssh-import-id-gh, bin/ssh-import-id-lp: LP: #1155252
    - python requests module must be >= 1.1.0, for ssl certificate
      verification and proper quoting; fall back to wget if module
      is available, but older

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 15 Mar 2013 10:12:40 -0500

ssh-import-id (3.13-1) unstable; urgency=low

  * debian/rules:
    - fix FTBFS, no need to syntax check setup.py

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 15 Feb 2013 16:58:04 -0600

ssh-import-id (3.12-1) unstable; urgency=low

  * debian/control:
    - note github.com in the package description
  * bin/ssh-import-id, ssh-import-id.1:
    - rename the --revoke option to --remove
    - we're not really "revoking" keys, but rather just removing them
      from the authorized_keys file

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 15 Feb 2013 15:03:53 -0600

ssh-import-id (3.11-1) unstable; urgency=low

  * bin/ssh-import-id:
    - cleanup tempfiles left around in case we die() early

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 08 Feb 2013 12:35:13 -0600

ssh-import-id (3.10-1) unstable; urgency=low

  * bin/ssh-import-id:
    - show key type in info messages

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 Feb 2013 17:45:18 -0600

ssh-import-id (3.9-1) unstable; urgency=low

  * bin/ssh-import-id-lp:
    - ensure that URL is not None before using it
    - fixes exception when URL is not defined in config file and not in
      the environment

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 Feb 2013 11:33:29 -0600

ssh-import-id (3.8-1) unstable; urgency=low

  * No change release; our Python and Debian/Ubuntu version numbers got
    out of sync due to a bug in my release script

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 Feb 2013 11:20:40 -0600

ssh-import-id (3.7-1) unstable; urgency=low

  * bin/ssh-import-id-lp:
    - another fix for Mac OS X

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 Feb 2013 10:16:59 -0600

ssh-import-id (3.6-1) unstable; urgency=low

  * setup.py:
    - fix pip install on Mac

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 Feb 2013 09:52:36 -0600

ssh-import-id (3.5-1) unstable; urgency=low

  * bin/ssh-import-id, ssh-import-id.1:
    - support key revocation through a -r|--revoke option
    - only revokes keys that we label as adding (starting with this release)
  * debian/control, debian/rules, setup.py:
    - fix lintian warnings
    - clean up pypi pkginfo

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 06 Feb 2013 16:39:54 -0600

ssh-import-id (3.4-1) unstable; urgency=low

  * setup.py:
    - bump version
  * debian/control, debian/rules:
    - run pep8 at build for python syntax checking
    - still trying to fix 10.04 build
  * bin/ssh-import-id-lp:
    - fix pep8 warning

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 05 Feb 2013 17:37:53 -0600

ssh-import-id (3.3-1) unstable; urgency=low

  * debian/control, debian/rules:
    - get this building on 10.04/lucid, borrowed build logic from swift

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 05 Feb 2013 12:42:21 -0600

ssh-import-id (3.2-1) unstable; urgency=low

  * debian/control:
    - need setuptools for compilation

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 05 Feb 2013 11:53:45 -0600

ssh-import-id (3.1-1) unstable; urgency=low

  * debian/control:
    - ensure we have python packaging build dependencies
  * debian/control, debian/rules:
    - clean up python build dependencies, fix problem where
      dh_pysupport pulls in python-support as a dependency

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 05 Feb 2013 10:05:21 -0600

ssh-import-id (3.0-1) unstable; urgency=low

  [ Dustin Kirkland ]
  * setup.py:
    - bump major version to 3.x since this is a complete rewrite in Python
    - add support for gh:username (github) as well as lp:username (launchpad)
  * bin/ssh-auth-id => bin/ssh-import-id, bin/ssh-auth-id-gh => bin/ssh-
    import-id-gh, bin/ssh-auth-id-lp => bin/ssh-import-id-lp, README.md,
    setup.py:
    - rename Casey's ssh-auth-id command to ssh-import-id with this merge
  * bin/ssh-import-id, bin/ssh-import-id-gh, bin/ssh-import-id-lp,
    setup.py:
    - get these pep8 clean with
       pep8 --verbose --repeat --ignore W191,E501
  * bin/ssh-import-id, bin/ssh-import-id-gh, bin/ssh-import-id-lp:
    - drop the "starts with ssh-" check
    - bad assumption, since my ecdsa key starts with "ecdsa-sha2-nistp256"
    - if it's a bad key, then ssh-keygen -l -f will shake that out
    - support wget as a fallback, when python requests module is not available
    - loop over each id in argv
    - import subprocess
  * === added directory attic, debian/control, ssh-import-id =>
    attic/ssh-import-id, ssh-import-id.py => attic/ssh-import-id.py:
    - relocate the old shell utility and the monolithic python utility to
      the attic for now; these should be removed entirely from the source
      tree in due time
  * debian/install:
    - remove binaries from the install, let setup.py handle these for us
  * bin/ssh-import-id:
    - support -o|--output - for stdout
    - return all parts of the fingerprint on validation (size, hash, name, type)
    - index into the fingerprint for the hash
    - print all parts of the fingerprint in info messages
      + this is essential to the security of ssh-import-id, for key fingerprint
        collision avoidance
    - use a helper function to print to stdout just as easily a filename
    - identify keys by their tuple, [length, hash, type]
  * debian/links, README.md, ssh-import-id.1:
    - update documentation
  * bin/ssh-import-id-lp, debian/postinst, ssh_import_id:
    - support URL environment variable and system-wide URL definition in conf
      file
    - port conf file from shell to JSON syntax
    - add a postinst script to smooth migration from ssh-import-id < 3.0
    - ignore errors in postinst script (nothing more we can do, really)
  * bin/ssh-import-id-gh, bin/ssh-import-id-lp, debian/postinst,
    ssh_import_id:
    - use wget --no-verbose rather than --quiet, so that error messages from
      wget (such as SSL cert errors) get propagated
    - use json syntax for configuration file
  * bin/ssh-import-id:
    - stdout file descriptor cannot be opened multiple times cleanly

  [ Casey Marshall and Dustin Kirkland ]
  * === added directory bin, bin/ssh-auth-id, bin/ssh-auth-id-gh,
    bin/ssh-auth-id-lp, LICENSE, README.md, setup.py:
    - import Casey's subcommands implementation from his ssh-auth-id fork
      on github

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 05 Feb 2013 01:38:31 -0600

ssh-import-id (2.13-1) unstable; urgency=low

  * ssh-import-id:
    - completely rewrite the validate_keys function
    - fix our broken, crappy regular expressions, and instead, rely on
      SSH's ssh-keygen -l to validate keys by calculating fingerprints
    - display fingerprints on stderr, such that users can verify those
      or discard it
  * debian/control:
    - depend on openssh-client, which provides the ssh-keygen command
    - bump standards

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 23 Oct 2012 17:31:55 -0500

ssh-import-id (2.12-1) unstable; urgency=low

  [ Jani Uusitalo ]
  * ssh_import_id: LP: #997143
    - fix typo in comment

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 12 May 2012 19:58:12 -0700

ssh-import-id (2.11-1) unstable; urgency=low

  [ Dražen Lučanin ]
  * ssh-import-id: LP: #990501
    - ensure there are newlines at the end of keys
    - add 2 blank lines between each key for readability

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sun, 06 May 2012 10:46:33 -0500

ssh-import-id (2.10-1) unstable; urgency=low

  * === added directory img, img/ssh-import-id_14.png, img/ssh-import-
    id_192.png, img/ssh-import-id_64.png, img/ssh-import-id.png:
    - add logos to revision control
  * ssh-import-id, ssh-import-id.1: LP: #944367
    - add -e parameter, which says "don't clean my environment"
    - helps if someone needs to set $https_proxy

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 03 Mar 2012 08:32:25 -0600

ssh-import-id (2.9-1) unstable; urgency=low

  * debian/control:
    - we don't technically break openssh-server;  this could cause
      openssh-server to be removed;  that's bad

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 31 Jan 2012 16:01:56 -0600

ssh-import-id (2.8-1) unstable; urgency=low

  [ Soren Hansen ]
  * ssh-import-id: LP: #918131
    - Sequences of a's were getting filtered from public keys

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 18 Jan 2012 09:48:23 -0600

ssh-import-id (2.7-1) unstable; urgency=low

  * ssh-import-id: LP: #885205, LP: #702932
    - fix bug where lines are merged if they don't include a "= "
    - instead, check for lines that begin with "^ssh-"
  * ssh-import-id:
    - line up sed whitespace

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 16 Jan 2012 17:42:51 -0600

ssh-import-id (2.6-1) unstable; urgency=low

  * Revert the last commit, removing the ssh-import-lp-id link, as this
    breaks tab completion.  Instead, let's fix the ssh-import-lp-id
    caller and SRU it;  LP: #870112

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 14 Dec 2011 09:07:00 -0600

ssh-import-id (2.5-0ubuntu2) oneiric; urgency=low

  * provide a symlink so ssh-import-id can be invoked as
    ssh-import-lp-id (LP: #870112)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 07 Oct 2011 13:08:44 -0400

ssh-import-id (2.5-1) unstable; urgency=low

  * ssh-import-id: enable users to override URL with a per-use
    environment variable

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 20 Apr 2011 15:38:50 -0400

ssh-import-id (2.4-1) unstable; urgency=low

  [ Scott Moser ]
  * ssh-import-id:
    - fix import of users whose keys have blank lines and dos EOL
    - do not require /etc/ssh/ssh_import_id to be present

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 15 Apr 2011 09:48:30 -0500

ssh-import-id (2.3-1) unstable; urgency=low

  * ssh-import-id: ensure that ~/.ssh is created, fix regression
    introduced by smoser ;-)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 11 Jan 2011 11:12:40 -0600

ssh-import-id (2.2-1) unstable; urgency=low

  [ Scott Moser ]
  * use getopt, send 'info' to stderr, add '--output', LP: #688574
    - support '--help'
    - add '--output' or '-o' option to write downloaded and
      verified data to a named file (supporting '-' for stdout) rather
      that writing to users .ssh/authorized_keys
    - send 'info' output to standard error rather than standard out
      This is required to deal with '--output -'
  * remove carriage returns from key strings (LP: #651698)

  [ Dustin Kirkland ]
  * ssh-import-id.1: updated to reflect smoser's changes
  * debian/install, ssh_import_id, ssh-import-id: allow for URL to be
    admin-configurable, to point to other SSH public key stores besides
    Launchpad.net
  * ssh-import-id.1: document /etc/ssh/ssh_import_id

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 10 Jan 2011 12:56:32 -0600

ssh-import-id (2.1-1) unstable; urgency=low

  * debian/control: change the Conflicts to a Breaks, as pointed out
    by cjwatson, per Debian policy section 7.6

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 05 Jan 2011 08:59:24 -0600

ssh-import-id (2.0-1) unstable; urgency=low

  * Split the ssh-import-id utility out of the openssh package;
    cjwatson doesn't want to see bugs about the tool, nor be bothered
    with the maintenance thereof, hence a new package
  * Relicensing the code and documentation from BSD -> GPLv3

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 04 Jan 2011 16:16:30 -0600
